Favicon

You are here: Home > API Reference > Integrations > Organization Providers > Get list of providers

Get list of providers

Required Permission: base.organization.loginProvider.list

Get list of providers

GET
/v1/organizations/:organizationId/providers/
Copy to clipboard

Get list of providers

Required Permission: base.organization.loginProvider.list

Get list of providers

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
type string
optional
ldapsamlgooglesocial
target string
optional
sdkdashboardstoremdm

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
ldap saml google social
target string required
sdk dashboard store mdm
config object optional
supportMergeSSOEmployeesWithSSOUsers boolean optional
defaultRole string optional
owner admin editor viewer unassigned
loginButtonText string optional
ldap object optional
url string required
≤ 500 characters
bindDN string required
≤ 128 characters
searchBase string required
≤ 128 characters
searchFilter string required
≤ 128 characters
attributes object required
email array [string] required
firstName array [string] required
lastName array [string] required
saml object optional
idpXml string required
attributes object required
email array [string] required
firstName array [string] required
lastName array [string] required
userName array [string] required
groups array [string] required
metadata array [object] required
google object optional
appId string required
≤ 500 characters
clientSecret string required
≤ 500 characters
domains array required
accessTokenGroups boolean required
groups array optional
social object optional
google boolean optional
tags array [object] optional
original string required
≤ 256 characters
translation string required
≤ 256 characters
scim object optional
bearer string optional
≤ 256 characters
config object required
collaborator object optional
employee object optional
mdmUser object optional
attributes array [object] optional
name string required
≤ 256 characters
attributes array [object] optional
attributesHistory array [object] optional
namespace string required
≤ 256 characters
key string required
≤ 256 characters
createdBy string required
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string required
createdAt string required
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "type": "ldap",
                "target": "sdk",
                "config": {
                    "supportMergeSSOEmployeesWithSSOUsers": true,
                    "defaultRole": "owner",
                    "loginButtonText": "string"
                },
                "ldap": {
                    "url": "string",
                    "bindDN": "string",
                    "searchBase": "string",
                    "searchFilter": "string",
                    "attributes": {
                        "email": [
                            "string"
                        ],
                        "firstName": [
                            "string"
                        ],
                        "lastName": [
                            "string"
                        ]
                    }
                },
                "saml": {
                    "idpXml": "string",
                    "attributes": {
                        "email": [
                            "string"
                        ],
                        "firstName": [
                            "string"
                        ],
                        "lastName": [
                            "string"
                        ],
                        "userName": [
                            "string"
                        ],
                        "groups": [
                            "string"
                        ],
                        "metadata": [
                            {
                                "name": "string",
                                "attributes": [
                                    "string"
                                ]
                            }
                        ]
                    }
                },
                "google": {
                    "appId": "string",
                    "clientSecret": "string",
                    "domains": [
                        "string"
                    ],
                    "accessTokenGroups": true,
                    "groups": [
                        "string"
                    ]
                },
                "social": {
                    "google": true
                },
                "tags": [
                    {
                        "original": "string",
                        "translation": "string"
                    }
                ],
                "scim": {
                    "bearer": "string",
                    "config": {
                        "collaborator": {
                            "create": {
                                "action": "createWithRole",
                                "createWithRole": "owner"
                            },
                            "deactivate": {
                                "action": "remove"
                            }
                        },
                        "employee": {
                            "create": {
                                "action": "create"
                            },
                            "deactivate": {
                                "action": "remove"
                            }
                        },
                        "mdmUser": {
                            "create": {
                                "action": "create"
                            },
                            "deactivate": {
                                "action": "unassign",
                                "changePolicy": {
                                    "winPolicyId": "string",
                                    "admPolicyIdMacos": "string",
                                    "admPolicyIdIos": "string",
                                    "emmPolicyId": "string",
                                    "winPolicyAssignments": [
                                        {
                                            "winPolicyId": "string",
                                            "priority": 0
                                        }
                                    ],
                                    "admPolicyAssignmentsMacos": [
                                        {
                                            "admPolicyId": "string",
                                            "priority": 0
                                        }
                                    ],
                                    "admPolicyAssignmentsIos": [
                                        {
                                            "admPolicyId": "string",
                                            "priority": 0
                                        }
                                    ],
                                    "emmPolicyAssignments": [
                                        {
                                            "emmPolicyId": "string",
                                            "priority": 0
                                        }
                                    ]
                                }
                            }
                        }
                    },
                    "attributes": [
                        {
                            "name": "string",
                            "attributes": [
                                {
                                    "namespace": "string",
                                    "key": "string"
                                }
                            ]
                        }
                    ],
                    "attributesHistory": [
                        {
                            "namespace": "string",
                            "key": "string"
                        }
                    ]
                },
                "createdBy": "string",
                "updatedAt": "string",
                "createdAt": "string"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}